* {
  border: 0;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --hue: 223;
  --sat: 10%:
  --gray100: hsl(var(--hue), var(--sat), 90%);
  --gray900: hsl(var(--hue), var(--sat), 10%);
  --bg: light-dark(var(--gray100), var(--gray900));
  --fg: light-dark(var(--gray900), var(--gray100));
  --dur: 8s;
  color-scheme: light dark;
  font-size: clamp(1.25rem, 1.0417rem + 1.0417vw, 1.875rem);
}

body {
  background: var(--bg);
  color: var(--fg);
  /* font: bold 1em/1.5 "Comfortaa" sans-serif; */
  font: bold 1em/1.5 sans-serif;
  display: grid;
  place-items: center;
  height: 100vh;
  letter-spacing: 0.1em;
  text-align: center;
  text-transform: uppercase;
}

main {
  padding: 1.5em 0;
}

.hexagon {
  margin-bottom: 1.5em;
  overflow: hidden;
  position: relative;
  width: 15em;
  height: 15em;
}
.hexagon__group {
  position: absolute;
  width: 100%;
  height: 100%;
}
.hexagon__group:nth-child(odd) {
  transform: rotate(30deg);
}
.hexagon__sector {
  animation-name: moveOut1;
  top: calc(50% - 0.1em);
  left: calc(50% - 0.1em);
}
.hexagon__sector, .hexagon__sector:before, .hexagon__sector:after {
  animation-duration: var(--dur);
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  position: absolute;
  width: 0.2em;
  height: 0.2em;
}
.hexagon__sector:before, .hexagon__sector:after {
  animation-name: ripple;
  background-color: currentColor;
  border-radius: 0.1em;
  content: "";
  display: block;
  top: 0;
  left: 0;
  transform-origin: 0.1em 0.1em;
}
.hexagon__sector:before {
  transform: rotate(-30deg);
}
.hexagon__sector:after {
  transform: rotate(-150deg);
}
.hexagon__sector:nth-child(2) {
  animation-name: moveOut2;
}
.hexagon__sector:nth-child(3) {
  animation-name: moveOut3;
}
.hexagon__sector:nth-child(4) {
  animation-name: moveOut4;
}
.hexagon__sector:nth-child(5) {
  animation-name: moveOut5;
}
.hexagon__sector:nth-child(6) {
  animation-name: moveOut6;
}
.hexagon__group:nth-child(2) .hexagon__sector, .hexagon__group:nth-child(2) .hexagon__sector:before, .hexagon__group:nth-child(2) .hexagon__sector:after {
  animation-delay: calc(var(--dur) * -1 / 6);
}
.hexagon__group:nth-child(3) .hexagon__sector, .hexagon__group:nth-child(3) .hexagon__sector:before, .hexagon__group:nth-child(3) .hexagon__sector:after {
  animation-delay: calc(var(--dur) * -2 / 6);
}
.hexagon__group:nth-child(4) .hexagon__sector, .hexagon__group:nth-child(4) .hexagon__sector:before, .hexagon__group:nth-child(4) .hexagon__sector:after {
  animation-delay: calc(var(--dur) * -3 / 6);
}
.hexagon__group:nth-child(5) .hexagon__sector, .hexagon__group:nth-child(5) .hexagon__sector:before, .hexagon__group:nth-child(5) .hexagon__sector:after {
  animation-delay: calc(var(--dur) * -4 / 6);
}
.hexagon__group:nth-child(6) .hexagon__sector, .hexagon__group:nth-child(6) .hexagon__sector:before, .hexagon__group:nth-child(6) .hexagon__sector:after {
  animation-delay: calc(var(--dur) * -5 / 6);
}

/* Animations */
@keyframes moveOut1 {
  from {
    transform: rotate(0deg) translateY(0) scale(0);
  }
  3% {
    transform: rotate(0deg) translateY(0.2em) scale(1);
  }
  97% {
    transform: rotate(0deg) translateY(7.3em) scale(1);
  }
  to {
    transform: rotate(0deg) translateY(7.5em) scale(0);
  }
}
@keyframes moveOut2 {
  from {
    transform: rotate(60deg) translateY(0) scale(0);
  }
  3% {
    transform: rotate(60deg) translateY(0.2em) scale(1);
  }
  97% {
    transform: rotate(60deg) translateY(7.3em) scale(1);
  }
  to {
    transform: rotate(60deg) translateY(7.5em) scale(0);
  }
}
@keyframes moveOut3 {
  from {
    transform: rotate(120deg) translateY(0) scale(0);
  }
  3% {
    transform: rotate(120deg) translateY(0.2em) scale(1);
  }
  97% {
    transform: rotate(120deg) translateY(7.3em) scale(1);
  }
  to {
    transform: rotate(120deg) translateY(7.5em) scale(0);
  }
}
@keyframes moveOut4 {
  from {
    transform: rotate(180deg) translateY(0) scale(0);
  }
  3% {
    transform: rotate(180deg) translateY(0.2em) scale(1);
  }
  97% {
    transform: rotate(180deg) translateY(7.3em) scale(1);
  }
  to {
    transform: rotate(180deg) translateY(7.5em) scale(0);
  }
}
@keyframes moveOut5 {
  from {
    transform: rotate(240deg) translateY(0) scale(0);
  }
  3% {
    transform: rotate(240deg) translateY(0.2em) scale(1);
  }
  97% {
    transform: rotate(240deg) translateY(7.3em) scale(1);
  }
  to {
    transform: rotate(240deg) translateY(7.5em) scale(0);
  }
}
@keyframes moveOut6 {
  from {
    transform: rotate(300deg) translateY(0) scale(0);
  }
  3% {
    transform: rotate(300deg) translateY(0.2em) scale(1);
  }
  97% {
    transform: rotate(300deg) translateY(7.3em) scale(1);
  }
  to {
    transform: rotate(300deg) translateY(7.5em) scale(0);
  }
}
@keyframes ripple {
  from, to {
    width: 0.2em;
  }
  33% {
    width: 2.4em;
  }
}